package com.qmth.sop.business.bean.result;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 表单控件result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/7/18
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FlowTablePropResult implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "控件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long widgetId;

    @ApiModelProperty(value = "序号")
    private Integer tdIndex;

    @ApiModelProperty(value = "列id")
    private String tdId;

    @ApiModelProperty(value = "列名称")
    private String tdName;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "宽度")
    private Double width;

    @ApiModelProperty(value = "高度")
    private Double height;

    @ApiModelProperty(value = "颜色")
    private String color;

    @ApiModelProperty(value = "跨行")
    private Integer rowspan;

    @ApiModelProperty(value = "跨列")
    private Integer colspan;

    @ApiModelProperty(value = "提示")
    private String tips;

    @ApiModelProperty(value = "是否排序，0：不排序，1：排序")
    private Boolean tdOrder;

    @ApiModelProperty(value = "是否搜索，0：不搜索，1：搜索")
    private Boolean tdSearch;

    @ApiModelProperty(value = "编辑控件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long editWidgetId;

    @ApiModelProperty(value = "实体内容")
    private String obj;

    @ApiModelProperty(value = "列控件")
    private FlowTdFormWidgetResult tdFormWidget;

    @ApiModelProperty(value = "子标题")
    private String subTitle;

    public String getSubTitle() {
        return subTitle;
    }

    public void setSubTitle(String subTitle) {
        this.subTitle = subTitle;
    }

    public FlowTdFormWidgetResult getTdFormWidget() {
        return tdFormWidget;
    }

    public void setTdFormWidget(FlowTdFormWidgetResult tdFormWidget) {
        this.tdFormWidget = tdFormWidget;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getWidgetId() {
        return widgetId;
    }

    public void setWidgetId(Long widgetId) {
        this.widgetId = widgetId;
    }

    public Integer getTdIndex() {
        return tdIndex;
    }

    public void setTdIndex(Integer tdIndex) {
        this.tdIndex = tdIndex;
    }

    public String getTdId() {
        return tdId;
    }

    public void setTdId(String tdId) {
        this.tdId = tdId;
    }

    public String getTdName() {
        return tdName;
    }

    public void setTdName(String tdName) {
        this.tdName = tdName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Double getWidth() {
        return width;
    }

    public void setWidth(Double width) {
        this.width = width;
    }

    public Double getHeight() {
        return height;
    }

    public void setHeight(Double height) {
        this.height = height;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public Integer getRowspan() {
        return rowspan;
    }

    public void setRowspan(Integer rowspan) {
        this.rowspan = rowspan;
    }

    public Integer getColspan() {
        return colspan;
    }

    public void setColspan(Integer colspan) {
        this.colspan = colspan;
    }

    public String getTips() {
        return tips;
    }

    public void setTips(String tips) {
        this.tips = tips;
    }

    public Boolean getTdOrder() {
        return tdOrder;
    }

    public void setTdOrder(Boolean tdOrder) {
        this.tdOrder = tdOrder;
    }

    public Boolean getTdSearch() {
        return tdSearch;
    }

    public void setTdSearch(Boolean tdSearch) {
        this.tdSearch = tdSearch;
    }

    public Long getEditWidgetId() {
        return editWidgetId;
    }

    public void setEditWidgetId(Long editWidgetId) {
        this.editWidgetId = editWidgetId;
    }

    public String getObj() {
        return obj;
    }

    public void setObj(String obj) {
        this.obj = obj;
    }
}
